#### CHECK

#### Synopsis

    HELP:   Parameter for checksum verification
    TYPE:   OVERLAY
    SYNTAX: CHECK.{VALUE='str'/FILE='str'/STREAM/DUMMY}

#### Description

The 'check' parameter defines the expected hash (checksum).

The hash can be specified directly or read from a file. For the check file, all rules and replacements are valid which are described under "FILENAME HANDLING" above. For example:

       FILE=STREAM                            ; STDIN is SYSIN on z/OS
       FILE='~.MYCHECK(HASH1)'                ; PDS on z/OS
       FILE='<SYSUID>.MYCHECK2'               ; PS dataset on z/OS
       FILE='~/mycheck3.txt'                  ; Unix path name
       FILE='<HOME>\\hashs\\mycheck4.txt'       ; Windows path name

Currently, checksum files can be in standard GNU format:

       hex_hash_checksum   path_to_orignal_file

HEX:

       hex_hash_checksum

BIN (only if oputput file is selected, else same as HEX):

       bin_hash_checksum

or BSD style:

       ALGO(path_to_orignal_file) = hex_hash_checksum

A check file can contain more than one checksum:

       flcl HASH FILE=*.* OUT=checkfile.txt

which can be used to check each file separately

       flcl HASH FILE=data.bin CHECK.FILE=checkfile.txt

#### Arguments

- `STRING: VALUE='str' - Checksum as hex-string`
- `STRING: FILE='str'/STREAM/DUMMY - File which contains Checksum as hex-string`
  - `STREAM - Read from stdin or write to stdout`
  - `DUMMY - Read EOF or write nothing`